aboutsummaryrefslogtreecommitdiff
path: root/bin/bins
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-02-23 06:51:54 -0300
committerEuAndreh <eu@euandre.org>2023-02-23 07:17:52 -0300
commit562bda6e8bb2135792fe96795995e8f8c056dae3 (patch)
tree79a665c32c54b14e7d5e52d588f2ad57fe96d23d /bin/bins
parentbin/cl: Use uuid(1), tmpname(1) and mkstemp(1) from $PATH (diff)
downloaddotfiles-562bda6e8bb2135792fe96795995e8f8c056dae3.tar.gz
dotfiles-562bda6e8bb2135792fe96795995e8f8c056dae3.tar.xz
bin/: Cleanup temp file before exit
Diffstat (limited to 'bin/bins')
-rwxr-xr-xbin/bins2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/bins b/bin/bins
index 9f869de..494f4f0 100755
--- a/bin/bins
+++ b/bin/bins
@@ -76,7 +76,7 @@ IFS=:
# shellcheck disable=2086
if stest -rdq -n "$F" $PATH; then
T="$(mkstemp)"
- trap 'rm -f $T' EXIT
+ trap 'rm -f "$T"' EXIT
stest -lxf $PATH | sort -u > "$T"
mv "$T" "$F"
fi